org.eclipse.microprofile.reactive.messaging.tck.channel

## Class EmitterInjectionMissingChannelTest

- java.lang.Object
- - org.eclipse.microprofile.reactive.messaging.tck.channel.EmitterInjectionMissingChannelTest

    public class EmitterInjectionMissingChannelTest
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`EmitterInjectionMissingChannelTest()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static org.jboss.shrinkwrap.api.Archive<org.jboss.shrinkwrap.api.spec.JavaArchive>` `deployment()`
`void` `testMissingEmitter()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EmitterInjectionMissingChannelTest

    public EmitterInjectionMissingChannelTest()

### Method Detail

#### deployment

    @Deployment(managed=false,
                name="missing-emitter")
     @ShouldThrowException(value=jakarta.enterprise.inject.spi.DeploymentException.class,
                          testable=true)
    public static org.jboss.shrinkwrap.api.Archive<org.jboss.shrinkwrap.api.spec.JavaArchive> deployment()

#### testMissingEmitter

    public void testMissingEmitter()